Saving selects wrong tool
Status: Closed

Priority: Severe/Regression

Assignee: Larry Shaffer

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16078

Description

If you save a layer the tool is reverted back to the last used non edit based tool - select, pan, info, etc

To reproduce:

    1. Create a new layer

    2. Select Zoom Tool

    3. Enable editing for the layer

    4. Select Add Feature tool.

    5. Add new feature

    6. Click save

After saving the Add Feature tool is no longer selected but instead the Zoom Tool is.

Associated revisions

Revision 8803a00a - 2013-01-12 07:50 AM - Larry Shaffer

Fix #6968, saving/rollbacking edits deselects current editing tool

Revision a3f5cea2 - 2013-01-12 07:54 AM - Larry Shaffer

Merge pull request #382 from dakcarto/iface_edits-tool-switch-fix_1

Fix #6968, saving/rollbacking edits deselects current editing tool

History

#1 - 2013-01-08 09:23 PM - Nathan Woodrow

Larry I have assigned due to your recent save improvements.  If this is unrelated you can remove yourself.

Blocker as it is a regression.

#2 - 2013-01-08 09:31 PM - Larry Shaffer

Hi Nathan,
I think it is unrelated, but will check to make sure. If it's something I coded for saving edits, then I have an idea on what might be causing it.

Does the same happen when you use any of the Current Edits functions (instead of the single-click Save Layer Edits button)?

#3 - 2013-01-08 10:06 PM - Nathan Woodrow

Yeah it happens with any saving, rollback functions.

This method might be what is causing it: https://github.com/qgis/Quantum-GIS/blob/master/src/app/qgisapp.cpp#L7291

#4 - 2013-01-08 10:18 PM - Larry Shaffer

Yes, that's what I was thinking. It is called at the end of each of the new editing methods. Looks like it needs a different approach. Will look into this ASAP.

#5 - 2013-01-10 02:00 AM - Larry Shaffer

- File save-rollback_deselect-tool_patch.diff added

- Status changed from Open to Feedback

Hi Nathan,

See if https://github.com/qgis/Quantum-GIS/pull/382 fixes it for you. Also attached as a patch.

#6 - 2013-01-11 10:54 PM - Larry Shaffer

- Status changed from Feedback to Closed

Fixed in changeset commit:"a3f5cea2a86cb32354545f503edf07687b8a2936".

Files

save-rollback_deselect-tool_patch.diff 3.03 KB 2013-01-10 Larry Shaffer
